hush: treat ${#?} as "length of $?"
[oweals/busybox.git] / shell /
2017-01-09 Denys Vlasenkohush: fix 'defined but not used' warning
2017-01-09 Denys Vlasenkohush: remove redundand test for ENABLE_HUSH_JOB
2017-01-09 Denys Vlasenkohush: fix kill builtin without jobs support
2017-01-09 Denys Vlasenkotypo fix
2017-01-08 Denys Vlasenkohush: conditionalize print_escaped() on EXPORT || TRAP
2017-01-08 Denys Vlasenkohush: make memleak builtin optional
2017-01-08 Denys Vlasenkohush: make export builtin optional
2017-01-08 Denys Vlasenkohush: make umask builtin optional
2017-01-08 Denys Vlasenkohush: make set/unset builtins optional
2017-01-08 Denys Vlasenkohush: make read and trap builtins optional
2017-01-08 Denys Vlasenkohush: kill builtin and kill %jobspec support
2017-01-08 Denys Vlasenkohush: support %%, %+ and % jobspec (meaning "current...
2017-01-07 Denys Vlasenkoash: fix open fds leaking in redirects. Closes 9561
2017-01-06 Kang-Che Sungash: explicltly group ash options
2017-01-04 Kang-Che Sungshell: clarify help text of CONFIG_{SH,BASH}_IS_* options
2017-01-03 Denys Vlasenkohush: correct exitcode for unterminated ')' - exitcode2...
2017-01-03 Ron Yorstonash: fix error code regression
2016-12-23 Denys VlasenkoMake it possible to select "sh" and "bash" aliases...
2016-12-22 Denys Vlasenkoshell: move "config" blocks above their use in codition...
2016-12-22 Denys VlasenkoTweak some config defaults; fix MODPROBE_SMALL ordering...
2016-12-21 Denys Vlasenkoash: clarify uclibc glob() bug in comment
2016-12-21 Denys Vlasenkoash: error out if ASH_INTERNAL_GLOB is not selected...
2016-12-12 Denys Vlasenkoash: fix signed char expansion bug
2016-12-12 Denys Vlasenkoshell: suppress "unused var/func" warnings on some...
2016-11-25 Denys Vlasenkoash,hush: make ^C in interactive mode visually much...
2016-11-24 Denys Vlasenkoash,hush: ^C from command line should set $? to 128...
2016-11-23 Denys Vlasenkotest: make [ and [[ forms individually selectable
2016-11-08 Denys Vlasenkohush: make getch/peek functions directly called
2016-11-08 Denys Vlasenkohush: renumber PIPE_foo, make PIPE_SEQ = 0
2016-11-08 Denys Vlasenkohush: small optimization in run_list
2016-11-08 Denys Vlasenkohush: deindent large block of code, no code changes
2016-11-08 Denys Vlasenkohush: simplify insert_bg_jobs
2016-11-08 Denys Vlasenkohush: make "wait %1" less likely to play with signal...
2016-11-07 Denys Vlasenkohush: rework "wait %jobspec" to work in non-interactive...
2016-11-07 Denys Vlasenkohush: "wait $!; echo $?" should return 127 if $! alread...
2016-11-07 Denys Vlasenkohush: implement "wait %jobspec"
2016-11-07 Denys Vlasenkohush: factor out %jobspec parsing
2016-11-07 Denys Vlasenkohush: comment fix
2016-11-07 Denys Vlasenkohush: do not allow sh -c '{ echo boo }'
2016-11-04 Denys Vlasenkohush: case logic for setting $? was still wrong
2016-11-04 Denys Vlasenkohush: non-matching "case" statement sets $? to 0
2016-11-04 Denys Vlasenkohush: allow { cmd } to not be terminated by semicolon...
2016-11-04 Denys Vlasenkoash: fix "duplicate local" code (forgot to re-enable...
2016-11-03 Denys Vlasenkoash: while (!got_sig) pause() is not reliable, use...
2016-10-30 Denys Vlasenkoash: if using libc glob(), skip it if no metachars...
2016-10-30 Denys Vlasenkoash: fix bit-rotten debug infrastructure
2016-10-30 Denys Vlasenkoash: make popfile() anfter popallfiles() safe
2016-10-28 Denys Vlasenkohush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait...
2016-10-28 Denys Vlasenkohush: fix "wait PID"
2016-10-28 Denys Vlasenkoash: use pause(), not sigsuspend(), in wait builtin
2016-10-28 Denys Vlasenkoash: fix interactive "command eval STRING" exiting...
2016-10-27 Denys Vlasenkoash: [JOBS] Fix dowait signal race
2016-10-27 Denys Vlasenkoash: [SIGNAL] Remove EXSIG
2016-10-27 Denys Vlasenkoash: open-code blocking_dowait_with_raise_on_sig()
2016-10-27 Denys Vlasenkoash: return to DOWAIT_* constants similar to dash,...
2016-10-27 Denys Vlasenkoash: delete leftovers from "simplify EOF/newline handli...
2016-10-27 Denys Vlasenkoash: [EXPAND] Fix ifsfirst/ifslastp leak
2016-10-27 Denys Vlasenkoash: move ifsbreakup() and ifsfree() up
2016-10-27 Denys Vlasenkoash: partially sync with dash on "fork if traps are...
2016-10-27 Denys Vlasenkoash: [SHELL] Expand ENV before using it
2016-10-27 Denys Vlasenkoash: comment tweaks, no code changes
2016-10-26 Denys Vlasenkoash: optimize tryexec(): avoid one allocation
2016-10-26 Denys Vlasenkoash: [CD] Lookup PWD after going through CDPATH
2016-10-26 Denys Vlasenkoash: [MEMALLOC] Made grabstackblock an inline wrapper...
2016-10-26 Denys Vlasenkoash: [VAR] Remove setvarsafe
2016-10-26 Denys Vlasenkoash: use shellparam.optind/optoff in getopts() directly...
2016-10-26 Denys Vlasenkoash: [PARSER] Size optimisations in parameter expansion...
2016-10-26 Denys Vlasenkoash: [PARSER] Recognise here-doc delimiters terminated...
2016-10-26 Denys Vlasenkoash: [PARSER] Fix parsing of ${##1}
2016-10-26 Denys Vlasenkoash: [REDIR] Remove redundant CLOEXEC calls
2016-10-26 Denys Vlasenkoash: [REDIR] Replace copyfd by savefd and use dup2...
2016-10-26 Denys Vlasenkotypo fixes
2016-10-26 Denys Vlasenkoash: [BUILTIN] Treat OPTIND=0 in the same way as OPTIND=1
2016-10-25 Denys Vlasenkoash: [PARSER] Report substition errors at expansion...
2016-10-25 Denys Vlasenkoash: [REDIR] Move null redirect checks into caller
2016-10-25 Denys Vlasenkoash: [PARSER] Do not show prompts in expandstr
2016-10-25 Denys Vlasenkoash: [EXPAND] Removed herefd hack
2016-10-25 Denys Vlasenkoash: [SHELL] Move flushall to the point just before...
2016-10-25 Denys Vlasenkoash: [EVAL] Let funcnode refer to a function definition...
2016-10-25 Denys Vlasenkoash: [REDIR] Remove EMFILE special case
2016-10-25 Denys Vlasenkoash: [EVAL] Check exit for eval NSUBSHELL
2016-10-25 Denys Vlasenkoash: add comment explaining "set -e; $(cmd)" discrepancy
2016-10-25 Denys Vlasenkoash: reduce code differences from upstream
2016-10-25 Denys Vlasenkoash: remove unused EXSHELLPROC
2016-10-25 Denys Vlasenkoash: [BUILTIN] Use EXEXIT in place of EXEXEC
2016-10-25 Denys Vlasenkoash,hush: set exit code 127 in "sh /does/not/exist...
2016-10-24 Denys Vlasenkoash: explain EXP_REDIR and why we (dont) glob redir...
2016-10-23 Ron Yorstonash: return exit status of nofork applets
2016-10-07 Denys Vlasenkoash: all blocks in function node copying must be SHELL_...
2016-10-07 Denys Vlasenkoash testsuite: fix false positives
2016-10-07 Denys Vlasenkoash: get rid of two global data variables
2016-10-07 Denys Vlasenkoash: comment out free(p) just before _exit, tweak some...
2016-10-03 Denys Vlasenkohush: add commented-out debug printouts in "memleak...
2016-10-03 Denys Vlasenkohush: fix a memory corruption when exported variable...
2016-10-02 Denys Vlasenkohush: fix exitcode on exec failure with EACCES - should...
2016-10-02 Denys Vlasenkosh testsuite: add tests for exitcode on failure to...
2016-10-02 Denys Vlasenkoshell: delete all msh tests
2016-10-02 Denys Vlasenkohush testsuite: fix another false positive
2016-10-02 Denys Vlasenkohust testsuite: fix a false positive
2016-10-02 Denys Vlasenkoash testsuite: add most of hust tests which pass for ash
next